﻿using System.Diagnostics;

using NUnit.Framework;

namespace OperatingOverloadingDemo
{
    [TestFixture]
    public class TestHarness
    {
//+, -, *, /, %, &, |, <<, >> All C# binary operators can be overloaded.
//+, -, !, ~, ++, –, true, false All C# unary operators can be overloaded.
//==, !=, <, >, <= , >= All relational operators can be overloaded, but only as pairs. 

        [Test]
        public void TestStub()
        {
            var oldTimePlayer = new Player( "Hank", "Aaron", 75 );
            var oldTimePlayer_1 = new Player("Hank", "Aaron", 75);
            var anotherOldTimePlayer = new Player("Willie", "Mays", 75);
            var youngTimePlayer = new Player("Albert", "Pujols", 30);


            Debug.WriteLine(string.Format("Are players equal - {0}", oldTimePlayer == oldTimePlayer));
            Debug.WriteLine(string.Format("Are players equal - {0}", oldTimePlayer == oldTimePlayer_1));
            Debug.WriteLine( string.Format( "Are players equal - {0}", oldTimePlayer == anotherOldTimePlayer ) );

            Debug.WriteLine(string.Format("Is Young player less than older player - {0}", youngTimePlayer < oldTimePlayer));

        }
    }
}
